pythonOCC例子搬运:6.给不同的面上不同的色

这里返回总目录>>返回总目录
core_visualization_ais_coloredshape.py
本例从https://github.com/tpaviot/pythonocc-demos搬运而来
运行版本:0.18.2
在其余版本运行不保证正确
先上结果图

在这里插入图片描述

代码部分

from __future__ import print_function

from random import random

from OCC.Core.AIS import AIS_ColoredShape
from OCC.Core.BRepPrimAPI import BRepPrimAPI_MakeBox
from OCC.Display.OCCViewer import rgb_color
from OCC.Display.SimpleGui import init_display
from OCC.Extend.TopologyUtils import TopologyExplorer

display, start_display, add_menu, add_function_to_menu = init_display()

my_box = BRepPrimAPI_MakeBox(10., 20., 30.).Shape()

ais_shp = AIS_ColoredShape(my_box)

for fc in TopologyExplorer(my_box).faces():
    # set a custom color per-face
    ais_shp.SetCustomColor(fc, rgb_color(random(), random(), random()))

display.Context.Display(ais_shp)
display.FitAll()

start_display()

© 版权声明
THE END
喜欢就支持一下吧
点赞814 分享
评论 抢沙发
头像
欢迎您留下宝贵的见解!
提交
头像

昵称

取消
昵称表情代码图片

    暂无评论内容